/******************************************************************************
 JPtrStack.h

	Interface for JPtrStack class

	Copyright © 1996-97 John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_JPtrStack
#define _H_JPtrStack

#include <JStack.h>

template <class S, class T>
class JPtrStack : public JStack<S,T>
{
public:

	JPtrStack();

	void	ClearDelete();
	void	UnwindDelete(const JSize numToUnwind);
};

#endif
